gi-gdk4-4.0.10: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Structs.ToplevelLayout

Contents

- Exported types
- Methods
  - copy
  - equal
  - getFullscreen
  - getFullscreenMonitor
  - getMaximized
  - getResizable
  - new
  - ref
  - setFullscreen
  - setMaximized
  - setResizable
  - unref

Description

Contains information that is necessary to present a sovereign window on screen.

The `GdkToplevelLayout` struct is necessary for using `toplevelPresent`.

Toplevel surfaces are sovereign windows that can be presented to the user in various states (maximized, on all workspaces, etc).

Synopsis

- newtype ToplevelLayout = ToplevelLayout (ManagedPtr ToplevelLayout)
- toplevelLayoutCopy :: (HasCallStack, MonadIO m) => ToplevelLayout -> m ToplevelLayout
- toplevelLayoutEqual :: (HasCallStack, MonadIO m) => ToplevelLayout -> ToplevelLayout -> m Bool
- toplevelLayoutGetFullscreen :: (HasCallStack, MonadIO m) => ToplevelLayout -> m (Bool, Bool)
- toplevelLayoutGetFullscreenMonitor :: (HasCallStack, MonadIO m) => ToplevelLayout -> m (Maybe Monitor)
- toplevelLayoutGetMaximized :: (HasCallStack, MonadIO m) => ToplevelLayout -> m (Bool, Bool)
- toplevelLayoutGetResizable :: (HasCallStack, MonadIO m) => ToplevelLayout -> m Bool
- toplevelLayoutNew :: (HasCallStack, MonadIO m) => m ToplevelLayout
- toplevelLayoutRef :: (HasCallStack, MonadIO m) => ToplevelLayout -> m ToplevelLayout
- toplevelLayoutSetFullscreen :: (HasCallStack, MonadIO m, IsMonitor a) => ToplevelLayout -> Bool -> Maybe a -> m ()
- toplevelLayoutSetMaximized :: (HasCallStack, MonadIO m) => ToplevelLayout -> Bool -> m ()
- toplevelLayoutSetResizable :: (HasCallStack, MonadIO m) => ToplevelLayout -> Bool -> m ()
- toplevelLayoutUnref :: (HasCallStack, MonadIO m) => ToplevelLayout -> m ()

# Exported types

newtype ToplevelLayout Source #

Memory-managed wrapper type.

Constructors

ToplevelLayout (ManagedPtr ToplevelLayout) |

#### Instances

Instances details

Eq ToplevelLayout Source # |
Instance details Defined in GI.Gdk.Structs.ToplevelLayout Methods (==) :: ToplevelLayout -> ToplevelLayout -> Bool Source # (/=) :: ToplevelLayout -> ToplevelLayout -> Bool Source #
GBoxed ToplevelLayout Source # |
Instance details Defined in GI.Gdk.Structs.ToplevelLayout
ManagedPtrNewtype ToplevelLayout Source # |
Instance details Defined in GI.Gdk.Structs.ToplevelLayout Methods toManagedPtr :: ToplevelLayout -> ManagedPtr ToplevelLayout Source #
TypedObject ToplevelLayout Source # |
Instance details Defined in GI.Gdk.Structs.ToplevelLayout Methods glibType :: IO GType Source #
HasParentTypes ToplevelLayout Source # |
Instance details Defined in GI.Gdk.Structs.ToplevelLayout
IsGValue (Maybe ToplevelLayout) Source # | Convert `ToplevelLayout` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gdk.Structs.ToplevelLayout Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ToplevelLayout -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ToplevelLayout) Source #
type ParentTypes ToplevelLayout Source # |
Instance details Defined in GI.Gdk.Structs.ToplevelLayout type ParentTypes ToplevelLayout = '[] :: [Type]

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

copy, equal, ref, unref.

#### Getters

getFullscreen, getFullscreenMonitor, getMaximized, getResizable.

#### Setters

setFullscreen, setMaximized, setResizable.

## copy

toplevelLayoutCopy Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ToplevelLayout | `layout`: a toplevel layout
-> m ToplevelLayout | Returns: a copy of `layout`.

Create a new `GdkToplevelLayout` and copy the contents of `layout` into it.

## equal

toplevelLayoutEqual Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ToplevelLayout | `layout`: a toplevel layout
-> ToplevelLayout | `other`: another toplevel layout
-> m Bool | Returns: true if `layout` and `other` have identical layout properties, otherwise false.

Check whether `layout` and `other` has identical layout properties.

## getFullscreen

toplevelLayoutGetFullscreen Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ToplevelLayout | `layout`: a toplevel layout
-> m (Bool, Bool) | Returns: whether the `layout` specifies the fullscreen state for the toplevel

If the layout specifies whether to the toplevel should go fullscreen, the value pointed to by `fullscreen` is set to true if it should go fullscreen, or false, if it should go unfullscreen.

## getFullscreenMonitor

toplevelLayoutGetFullscreenMonitor Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ToplevelLayout | `layout`: a toplevel layout
-> m (Maybe Monitor) | Returns: the monitor on which `layout` fullscreens

Returns the monitor that the layout is fullscreening the surface on.

## getMaximized

toplevelLayoutGetMaximized Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ToplevelLayout | `layout`: a toplevel layout
-> m (Bool, Bool) | Returns: whether the `layout` specifies the maximized state for the toplevel

If the layout specifies whether to the toplevel should go maximized, the value pointed to by `maximized` is set to true if it should go maximized, or false, if it should go unmaximized.

## getResizable

toplevelLayoutGetResizable Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ToplevelLayout | `layout`: a toplevel layout
-> m Bool | Returns: true if the layout is resizable

Returns whether the layout should allow the user to resize the surface.

## new

toplevelLayoutNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m ToplevelLayout | Returns: newly created instance of `GdkToplevelLayout`

Create a toplevel layout description.

Used together with `toplevelPresent` to describe how a toplevel surface should be placed and behave on-screen.

The size is in ”application pixels”, not ”device pixels” (see `surfaceGetScale`).

## ref

toplevelLayoutRef Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ToplevelLayout | `layout`: a toplevel layout
-> m ToplevelLayout | Returns: the same `layout`

Increases the reference count of `layout`.

## setFullscreen

toplevelLayoutSetFullscreen Source #

Arguments

:: (HasCallStack, MonadIO m, IsMonitor a) |
=> ToplevelLayout | `layout`: a toplevel layout
-> Bool | `fullscreen`: true to fullscreen the surface
-> Maybe a | `monitor`: the monitor to fullscreen on
-> m () |

Sets whether the layout should cause the surface to be fullscreen when presented.

## setMaximized

toplevelLayoutSetMaximized Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ToplevelLayout | `layout`: a toplevel layout
-> Bool | `maximized`: true to maximize
-> m () |

Sets whether the layout should cause the surface to be maximized when presented.

## setResizable

toplevelLayoutSetResizable Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ToplevelLayout | `layout`: a toplevel layout
-> Bool | `resizable`: true to allow resizing
-> m () |

Sets whether the layout should allow the user to resize the surface after it has been presented.

## unref

toplevelLayoutUnref Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ToplevelLayout | `layout`: a toplevel layout
-> m () |

Decreases the reference count of `layout`.